<div class="container" fxLayout fxLayoutGap="20px" *ngIf="isLoaded | async">
    <div class="" fxFlex="250px">
        <div class="info">
            <app-avatar class="avatar" [name]="user.name" [photo]="user.avatar">
            </app-avatar>
            <h2>{{ user.name }}</h2>
            <p>{{ user.email }}</p>
        </div>
    </div>
    <div class="forms" fxFlex>
        <form
            class="info-form"
            [formGroup]="profileForm"
            (submit)="onUpdateProfile($event)"
        >
            <h2>Dados Pessoais</h2>

            <div class="basic-info">
                <mat-form-field>
                    <mat-label>Nome</mat-label>
                    <input
                        matInput
                        type="text"
                        name="name"
                        formControlName="name"
                    />
                    <mat-icon matPrefix>account_circle</mat-icon>
                    <mat-error
                        *ngIf="profileForm.get('name').hasError('required')"
                    >
                        O campo "nome" é obrigatório!
                    </mat-error>
                </mat-form-field>

                <mat-form-field>
                    <mat-label>Email</mat-label>
                    <input matInput type="email" formControlName="email" />
                    <mat-icon matPrefix>email</mat-icon>
                </mat-form-field>
            </div>

            <app-custom-file-input
                title="Foto de Perfil"
                (change)="onChangeFile($event)"
            ></app-custom-file-input>
            <mat-error
                *ngIf="profileForm.get('avatar').hasError('invalidFile')"
            >
                O ficheiro selecionado é inválido. Por favor escolha uma imagem
                do tipo: <em>png; jpg; jpeg</em>.
            </mat-error>

            <ng-template [canView]="[2]">
                <mat-form-field>
                    <mat-label>Data de Nascimento</mat-label>
                    <input
                        matInput
                        [matDatepicker]="picker"
                        formControlName="birthdayDate"
                        name="birthdayDate"
                    />
                    <mat-datepicker-toggle
                        matSuffix
                        [for]="picker"
                    ></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>

                    <mat-icon matPrefix>event</mat-icon>
                </mat-form-field>
            </ng-template>

            <div class="actions">
                <button
                    mat-raised-button
                    color="primary"
                    type="submit"
                    [disabled]="!profileForm.valid"
                >
                    Atualizar Dados
                </button>
            </div>
        </form>

        <mat-accordion>
            <mat-expansion-panel class="change-password-accordion">
                <mat-expansion-panel-header>
                    <mat-panel-title> Alteração de Password</mat-panel-title>
                </mat-expansion-panel-header>

                <form action="" class="password-form">
                    <mat-form-field>
                        <mat-label>Password Antiga</mat-label>
                        <input
                            matInput
                            [type]="oldHide ? 'password' : 'text'"
                            name="oldPassword"
                        />
                        <mat-icon
                            class="hide-btn"
                            (click)="oldHide = !oldHide"
                            matSuffix
                        >
                            {{
                                oldHide ? 'visibility_off' : 'visibility'
                            }}</mat-icon
                        >
                        <mat-icon matPrefix>vpn_key</mat-icon>
                        <!-- TODO: add validation messages -->
                    </mat-form-field>

                    <mat-form-field>
                        <mat-label>Nova Password</mat-label>
                        <input
                            matInput
                            [type]="hide ? 'password' : 'text'"
                            name="newPassword"
                        />
                        <mat-icon
                            class="hide-btn"
                            (click)="hide = !hide"
                            matSuffix
                        >
                            {{
                                hide ? 'visibility_off' : 'visibility'
                            }}</mat-icon
                        >
                        <mat-icon matPrefix>vpn_key</mat-icon>
                        <!-- TODO: add validation messages -->
                    </mat-form-field>

                    <mat-form-field>
                        <mat-label>Confirmação de Password</mat-label>
                        <input
                            matInput
                            [type]="hide ? 'password' : 'text'"
                            name="confirmPassword"
                        />
                        <mat-icon matPrefix>vpn_key</mat-icon>
                        <!-- TODO: add validation messages -->
                    </mat-form-field>

                    <div class="actions">
                        <button mat-raised-button color="primary" type="submit">
                            Alterar Password
                        </button>

                        <button mat-raised-button color="accent" type="reset">
                            Cancelar
                        </button>
                    </div>
                </form>
            </mat-expansion-panel>
        </mat-accordion>
    </div>
</div>
